<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.casic.missiles.modular.system.dao.DeviceWellMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.casic.missiles.modular.system.model.DeviceWell">
        <id column="DEVICE_ID" property="deviceId"/>
        <result column="WELL_ID" property="wellId"/>
        <result column="TS" property="ts"/>
        <result column="VALID" property="valid"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        DEVICE_ID AS "deviceId", WELL_ID AS "wellId", TS AS ts, VALID AS valid
    </sql>

    <update id="updateByDeviceId">
        UPDATE bus_device_well SET WELL_ID = #{wellId} WHERE DEVICE_ID = #{deviceId}
    </update>

</mapper>
